com.h3c.sdn.team

## Interface TeamConfigPersistenceService

-     public interface TeamConfigPersistenceService

  Service to store the team configuration on a persistence storage.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `delete()` Deletes the team configuration from a persistence storage.
    `TeamConfig<SystemConfigReq>` | `read()` Get the team configuration from a persistence storage.
    `void` | `registerListener(TeamConfigListener lis)` Register for team config changes
    `void` | `unregisterListener(TeamConfigListener lis)` Unregister for team config changes
    `boolean` | `write(TeamConfig<SystemConfigReq> teamConfig)` Writes the team configuration on to a persistence storage.

- - ### Method Detail

    - #### write

          boolean write(TeamConfig<SystemConfigReq> teamConfig)
                        throws IOException

      Writes the team configuration on to a persistence storage.
      Parameters:
        `teamConfig` - team configuration
      Returns:
        `true` if able to store the configuration otherwise `false`
      Throws:
        `IOException` - if write to file fails

    - #### read

          TeamConfig<SystemConfigReq> read()
                                           throws IOException

      Get the team configuration from a persistence storage.
      Returns:
        team configuration
      Throws:
        `IOException` - if failed to read from file

    - #### delete

          boolean delete()

      Deletes the team configuration from a persistence storage.
      Returns:
        `true` if file gets deleted otherwise `false`

    - #### registerListener

          void registerListener(TeamConfigListener lis)

      Register for team config changes
      Parameters:
        `lis` - listener

    - #### unregisterListener

          void unregisterListener(TeamConfigListener lis)

      Unregister for team config changes
      Parameters:
        `lis` - listener

Copyright © 2014. All Rights Reserved.